Prepare Customer Onboarding Uploads
curl --request POST \
--url https://api.blockradar.co/v1/onboarding/cases/{caseId}/uploads/prepare \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"files": [
{
"field": "<string>",
"fileName": "<string>",
"contentType": "<string>",
"documentType": "<string>",
"sides": [],
"doubleSided": true,
"parts": [
{
"fileName": "<string>",
"contentType": "<string>"
}
],
"maxFileSizeBytes": 2
}
],
"mode": "proxy"
}
'import requests
url = "https://api.blockradar.co/v1/onboarding/cases/{caseId}/uploads/prepare"
payload = {
"files": [
{
"field": "<string>",
"fileName": "<string>",
"contentType": "<string>",
"documentType": "<string>",
"sides": [],
"doubleSided": True,
"parts": [
{
"fileName": "<string>",
"contentType": "<string>"
}
],
"maxFileSizeBytes": 2
}
],
"mode": "proxy"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
files: [
{
field: '<string>',
fileName: '<string>',
contentType: '<string>',
documentType: '<string>',
sides: [],
doubleSided: true,
parts: [{fileName: '<string>', contentType: '<string>'}],
maxFileSizeBytes: 2
}
],
mode: 'proxy'
})
};
fetch('https://api.blockradar.co/v1/onboarding/cases/{caseId}/uploads/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Onboarding upload targets prepared successfully",
"data": {
"caseId": "71d6b5ac-6312-43eb-b389-789d214bbda2",
"uploads": [
{
"field": "identityDocument",
"document": {
"mode": "proxy",
"proxyUploadId": "upload_01K0PZV5X8JQ4V9N0P7K2M6C3F",
"method": "POST",
"providerReference": "document_839201",
"documentType": "passport",
"expiresAt": "2026-07-22T14:30:00.000Z",
"sides": [
"front"
],
"accept": [
"image/jpeg",
"image/png",
"application/pdf"
]
}
}
]
}
}Onboarding
Prepare Customer Onboarding Uploads
Prepares upload targets for file or document fields in the current customer-onboarding requirements schema. Use the exact field paths and constraints returned by the schema.
POST
/
v1
/
onboarding
/
cases
/
{caseId}
/
uploads
/
prepare
Prepare Customer Onboarding Uploads
Use this operation only for file or document fields declared by the current
customer-onboarding requirements schema.
Authorizations
Path Parameters
Customer onboarding case identifier.
Body
application/json
⌘I

